@use '@angular/material' as mat;
@import "variables";

header {
  display: flex;
  flex-direction: column;
  margin-top: -16px;

  a {
    width: fit-content;
  }

  h1 {
    margin-top: 20px;
    margin-bottom: 0px;
  }

  margin-bottom: 20px;
}

mat-form-field {
  margin-bottom: 4px;
  @media screen and (max-width: $medium - 1) {
    margin-bottom: 12px;
  }
}

form {
  padding-bottom: 8px;
  padding-right: 8px;
  .mat-form-field {
    display: block;
  }
  gt-loading-button {
    margin-bottom: 8px;
  }
}

.form-center {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

.wide-field {
  width: 100%;
}

.url-spacing {
  margin-top: 10px;
}

.short-field-container {
  display: flex;
  justify-content: flex-start;
  flex-wrap: wrap;
  width: 700px;
  margin-top: 10px;

  @media screen and (max-width: $medium - 1) {
    width: auto;
  }

  mat-form-field {
    margin-right: 16px;
  }
}

.help-text {
  width: 370px;
  margin-bottom: 0;

  @media screen and (max-width: $tablet - 1) {
    width: 200px;

    p {
      margin-top: 0;
    }
  }
}

.submit {
  margin-top: 20px;
}

.delete {
  margin-top: 20px;

  .remove-content {
    display: flex;
    justify-content: space-between;
    align-items: center;

    @media (max-width: $tablet - 1) {
      flex-direction: column;
      align-items: flex-start;
    }

    p {
      padding-right: 16px;
    }
  }
}
